Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class IdentifierNode

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.IdentifierNode

All Implemented Interfaces:
  java.lang.Cloneable

public class IdentifierNode
extends ASTNode

This class is not actually ever an element of an AST. It derives from ASTNode so that it can use the decoration capability, hence the abstract methods of ASTNode are simply implemented with stubs.

Author:
  David R. Cok

Field Summary
`Identifier` | `id` The wrapped Identifier
`private static java.util.Map` | `map`

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`IdentifierNode()`

Method Summary
`void` | `accept(Visitor v)` Accept a visit from `v`.
`java.lang.Object` | `accept(VisitorArgResult v, java.lang.Object o)`
`java.lang.Object` | `childAt(int i)` Return the first-but-ith child of a node.
`int` | `childCount()` Return the number of children a node has.
`int` | `getStartLoc()`
`int` | `getTag()` Return the tag of a node.
`static IdentifierNode` | `make(Identifier id)` Creates a IdentifierNode object given an Identifier
`java.lang.String` | `toString()` Return a string representation of `this`.

Methods inherited from class javafe.ast.ASTNode
`check, clone, clone, getDecorations, getEndLoc, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### map

    private static final java.util.Map map

### id

    public Identifier id

  The wrapped Identifier

Constructor Detail

### IdentifierNode

    public IdentifierNode()

Method Detail

### make

    public static IdentifierNode make(Identifier id)

  Creates a IdentifierNode object given an Identifier

  Parameters:
    `id` - The Identifier being wrapped
  Returns:
    The fresh IdentifierNode

### getStartLoc

    public int getStartLoc()

  Specified by:
    `getStartLoc` in class `ASTNode`

### childCount

    public int childCount()

  Description copied from class: `ASTNode`
  Return the number of children a node has.

  Specified by:
    `childCount` in class `ASTNode`

### childAt

    public java.lang.Object childAt(int i)

  Description copied from class: `ASTNode`
  Return the first-but-ith child of a node.

  Specified by:
    `childAt` in class `ASTNode`

### getTag

    public int getTag()

  Description copied from class: `ASTNode`
  Return the tag of a node.

  Specified by:
    `getTag` in class `ASTNode`

### toString

    public java.lang.String toString()

  Description copied from class: `ASTNode`
  Return a string representation of `this`. Meant for debugging use only, not for presentation.

  Specified by:
    `toString` in class `ASTNode`

### accept

    public void accept(Visitor v)

  Description copied from class: `ASTNode`
  Accept a visit from `v`. This method simply calls the method of `v` corresponding to the allocated type of `this`, passing `this` as the argument. See the design patterns book.

  Specified by:
    `accept` in class `ASTNode`

### accept

    public java.lang.Object accept(VisitorArgResult v,
                                   java.lang.Object o)

  Specified by:
    `accept` in class `ASTNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage